mtext_rchr(3m17n)

NAME
mtext_rchr - Return the position of the last occurrence of a character in an M-text.

SYNOPSIS
int mtext_rchr (MText * mt, int c)

DESCRIPTION
Return the position of the last occurrence of a character in an M-text.

The mtext_rchr() function searches M-text mt for character c. The search starts from the end of mt and goes backwardly toward the beginning.

RETURN VALUE

    If c is found, mtext_rchr() returns its position; otherwise it returns -1.

ERRORS

    MERROR_RANGE

SEE ALSO

    mtext_chr(), mtext_character()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.